function krusszek
% Kruskal-Szekeres coordinete system
% for region I for spacelike radial geodesic in Schwarzschild 
% black hole

% initial conditions
y0(1) = .93;
y0(2) = .93;

% Sparsity matrix for mass
%S = [0 0
%    1 1]
%, 'MassSingular', 'yes'     'MvPattern',MvPat(N)
options = odeset('Mass', @mass);

[eta, y] = ode23t(@f,[2*asinh(1); 5], y0, options);
%--------------------------------------------------------------
function dudv = f(eta, y)
dudv = [-y(1)^2+y(2)^2
    sqrt(2)];
%--------------------------------------------------------------
function M = mass
% singular mass matrix
M = [0 0
    1 1];